mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

The interface provides methods that define documents, sequence points, lexical scopes, and variables.

This interface is the managed counterpart of the ISymUnmanagedWriter interface, which is one of the unmanaged symbol store interfaces that provides an alternative way to read and write debug symbol information.

Represents a symbol writer for managed code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  After this call, becomes invalid for further updates.

  Closes and commits the symbols to the symbol store.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  After a method is closed, you cannot define a symbol from within it.

  Closes the current method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Closes the most recent namespace.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  After a scope is closed, you cannot define a variable from within it.

  Closes the current lexical scope.

  The points past the last instruction in the scope.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolDocumentWriter `` `` `` `` To be added

  Defines a source document.

  The object that represents the document.

  The URL that identifies the document. The document language. This parameter can be . The identity of the vendor for the document language. This parameter can be . The type of the document. This parameter can be .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` ``

  The method defines a single variable that is not within a method by using specified fields in classes, bit fields, and so on.

  Defines a field in a type or a global field.

  The metadata type or method token. The field name. A bitwise combination of the field attributes. The field signature. The address types for and . The first address for the field specification. The second address for the field specification. The third address for the field specification.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` To be added

  Defines a single global variable.

  The global variable name. A bitwise combination of the global variable attributes. The global variable signature. The address types for , , and . The first address for the global variable specification. The second address for the global variable specification. The third address for the global variable specification.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` ``

  The and parameters are optional. If their value is zero, they are ignored and the variable is defined throughout the entire scope. If their value is nonzero, the variable falls within the offsets of the current scope.

  You can call multiple times for a variable of the same name that occurs multiple times in different offset ranges throughout a scope. (In this case, start and end offsets must not overlap.)

  Defines a single variable in the current lexical scope.

  The local variable name. A bitwise combination of the local variable attributes. The local variable signature. The address types for , , and . The first address for the local variable specification. The second address for the local variable specification. The third address for the local variable specification. The start offset for the variable. If this parameter is zero, it is ignored and the variable is defined throughout the entire scope. If the parameter is nonzero, the variable falls within the offsets of the current scope. The end offset for the variable. If this parameter is zero, it is ignored and the variable is defined throughout the entire scope. If the parameter is nonzero, the variable falls within the offsets of the current scope.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` ``

  If parameters are defined in the metadata for a given method, you do not have to define them again with calls to this method. Symbol readers need to check for these in the normal metadata first, and then use the symbol store.

  Defines a single parameter in the current method. The type of each parameter is taken from its position within the signature of the method.

  The parameter name. A bitwise combination of the parameter attributes. The parameter signature. The address types for , , and . The first address for the parameter specification. The second address for the parameter specification. The third address for the parameter specification.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` ``

  Each line and each column defines the start of a statement within a method. The arrays should be sorted in increasing order of offsets. The offset is always the offset from the start of the method, in bytes.

  Defines a group of sequence points within the current method.

  The document object for which the sequence points are being defined. The sequence point offsets measured from the beginning of methods. The document lines for the sequence points. The document positions for the sequence points. The document end lines for the sequence points. The document end positions for the sequence points.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  also sets the output file name where the debugging symbols are written. This method can be called only once and must be called before any other writer methods.

  Sets the metadata emitter interface to associate with a writer.

  The metadata emitter interface. The file name for which the debugging symbols are written. Some writers require a file name, and others do not. If a file name is specified for a writer that does not use file names, this parameter is ignored. true indicates that this is a full rebuild; false indicates that this is an incremental compilation.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The specified method becomes the current method for calls to define sequence points, parameters, and lexical scopes. There is an implicit lexical scope around the entire method. Reopening a method that has been previously closed erases any previously defined symbols for the method.

  Opens a method to place symbol information into.

  The metadata token for the method to be opened.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Call this method before defining methods or variables that exist within a namespace. Namespaces can be nested.

  Opens a new namespace.

  The name of the new namespace.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This scope becomes the new current scope and is pushed onto a stack of scopes. Scopes must form a hierarchy. Siblings are not allowed to overlap.

  Scope identifiers are valid only in the current method.

  Opens a new lexical scope in the current method.

  An opaque scope identifier that can be used with to define the start and end offsets of a scope at a later time. In this case, the offsets passed to and are ignored. A scope identifier is valid only in the current method.

  The offset, in bytes, from the beginning of the method to the first instruction in the lexical scope.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added

  Specifies the true start and end of a method within a source file. Use to specify the extent of a method, independent of the sequence points that exist within the method.

  The document that contains the starting position. The starting line number. The starting column. The document that contains the ending position. The ending line number. The ending column number.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Defines the offset range for the specified lexical scope.

  The identifier of the lexical scope. The byte offset of the beginning of the lexical scope. The byte offset of the end of the lexical scope.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The method is only associated with symbolic information and is not a metadata custom attribute.

  Defines an attribute when given the attribute name and the attribute value.

  The metadata token for which the attribute is being defined. The attribute name. The attribute value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The underlying ISymUnmanagedWriter (the corresponding unmanaged interface) represents a symbol writer for managed code. The interface provides methods for defining documents, sequence points, lexical scopes, and variables.

  Sets the underlying ISymUnmanagedWriter (the corresponding unmanaged interface) that a managed uses to emit symbols.

  A pointer to code that represents the underlying writer.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This is normally your main method, rather than compiler-generated stubs before the main method.

  Identifies the user-defined method as the entry point for the current module.

  The metadata token for the method that is the user entry point.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Closing the current scope prevents this scope from using the namespace. The namespace remains in use in all scopes that inherit from the current open scope.

  Specifies that the given, fully qualified namespace name is used within the open lexical scope.

  The fully qualified name of the namespace.